LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Commands

### if command

Syntax:

    if value1 operator value2 then command1 else command2

- value1 = 1st value
- operator = "<" or "<=" or ">" or ">=" or "==" or "!="
- value2 = 2nd value
- then = required word
- command1 = command to execute if condition is met
- else = optional word
- command2 = command to execute if condition is not met (optional argument)

Examples:

    if ${steps} > 1000 then exit
    if $x <= $y then "print X is smaller = $x" else "print Y is smaller = $y"
    if ${eng} > 0.0 then "timestep 0.005"
    if ${eng} > ${eng_previous} then "jump file1" else "jump file2"

Description:

This command provides an in-then-else test capability within an input script. Two values are numerically compared to each other and the result is TRUE or FALSE. Note that as in the examples above, either of the values can be variables, as defined by the variable command, so that when they are evaluated when substituted for in the if command, a user-defined computation will be performed which can depend on the current state of the simulation.

If the result of the if test is TRUE, then command1 is executed. This can be any valid LAMMPS input script command. If the command is more than 1 word, it should be enclosed in double quotes, so that it will be treated as a single argument, as in the examples above.

The if command can contain an optional "else" clause. If it does and the result of the if test is FALSE, then command2 is executed.

Note that if either command1 or command2 is a bogus LAMMPS command, such as "exit" in the first example, then executing the command will cause LAMMPS to halt.

Restrictions: none

Related commands:

variable

Default: none